Documentation Index

Fetch the complete documentation index at: https://help.gong.io/llms.txt

Use this file to discover all available pages before exploring further.

Post a Digital Interaction (/v2/digital-interaction)

Prev Next
Post
/v2/digital-interaction

Required authorizaton scope: 'api:digital-interactions:write'.

Body parameters
Expand All
object

Digital interaction metadata

eventId
string Required

The provider's unique identifier for the event used for deduplication

timestamp
string (date-time) Required

The date and time of the event in ISO 8601 format

eventType
string Required

The type of the event, explaining the content and action performed. Values may be partner-aligned, for example, "link clicked", "page viewed"

sourceSystemName
string

When integrating via IPaaS, the name of the technology partner the customer set up a Gong integration with via an IPaaS. When integrating directly with Gong: the name of the company setting up the integration with Gong

sessionId
string

The identifier for the session, useful for tying related events together

device
string

The device used during the event

Valid values[ "MOBILE", "PC" ]
content
object (Content) Required

The content the person looked at

contentId
string

A unique identifier for the content in the partner's system

contentTitle
string Required

The title of the content

contentLabel
Array of string

A list of tags defined for the content

string

A list of tags defined for the content

contentUrl
string

The URL for the content the person looked at

contentAdditionalInfoUrl
string

The URL for additional details provided by the website or external app, such as analysis of the content viewed

numericContentDetails
object (NumericContentDetails)

For content where there is a numeric result, such as NPS score, or metrics such as the percentage of video watched

value
integer (int32)

The numeric value for the content

rangeFrom
integer (int32) Required

The lowest value that can be given to the content

rangeTo
integer (int32) Required

The highest value that can be given to the content

numericType
string

The type of numeric value

Valid values[ "PERCENTAGE", "NPS", "RATING", "OTHER" ]
stepContentDetails
object (StepContentDetails)

For content where there are a number of steps to complete in the content, such as shipment tracking or course advancement

value
string Required

The current step the person is in, in the process

availableSteps
Array of string Required

A list of all available steps in the process

string

A list of all available steps in the process

searchObjectDetails
object (SearchObjectDetails)

The objects returned when searching for different content. For example, the companies or products being compared with one another, or 2nd party intent

name
string Required

The name of the entity the person searched for

objectType
string Required

The type of the entity the person searched for

Valid values[ "VENDOR", "PRODUCT", "CATEGORY" ]
domain
string Required

The domain of the entity

objectId
string

The ID of the entity in the partner system

url
string

The URL of the entity in the partner system

contentCustomFields
Array of object (CustomField)

Include additional custom data about the content

object

Include additional custom data about the event

name
string Required

The name of the custom field

value
string Required

The value of the custom field

dataType
string

The data type of the custom field: NUMBER, STRING, DATE (ISO 8601), URL, DURATION (in Seconds). Default value: STRING

Valid values[ "STRING", "NUMBER", "DATE", "URL", "BOOLEAN", "DURATION" ]
person
object (Person)

The person who did the event. Must be null if a tracking ID is sent instead.

name
string

The name of the person

email
string

The email address of the person. Used for business context association

phoneNumber
string

The phone number of the person. Used for business context association

personId
string

A unique person identifier in the partner system. Mandatory for anonymous person, when the name, email, phoneNumber and personBusinessContext are empty

personBusinessContext
object (PersonBusinessContext)

The person's details in an external system such as the CRM

objectType
string Required

The object type in the external system

Valid values[ "CONTACT", "LEAD" ]
objectId
string Required

The ID of the object in the external system

systemName
string

The name of the external system

location
object (Location)

The location of the person as identified in the partner's source system

country
string

The country of the person in ISO 3166. If not available in ISO 3166, then send as string

state
string

The state of the person in ISO 3166-2. If not available in ISO 3166-2, then send as string

region
string

The region of the person in ISO 3166-2. If not available in ISO 3166-2, then send as string

city
string

The city of the person

company
object (Company)

The company the person works in. Should include at least one of the following: domain, crmAccountId, crmOpportunityId (via the companyBusinessContext object)

companyId
string

The company ID in the partner's source system

name
string

The name of the company

domain
string

The domain of the person's company. Used to associate the person with the company ("acme.com"). Mandatory for anonymous person, when the name, email, phoneNumber and personBusinessContext are empty

companyBusinessContexts
Array of object (CompanyBusinessContext)

The company's details in an external system such as the CRM. If the domain is empty, to enable association, send the crmAccountId or crmOpportunityId

object

The company's details in an external system such as the CRM. If the domain is empty, to enable association, send the crmAccountId or crmOpportunityId

objectType
string Required

The object type in the external system

Valid values[ "ACCOUNT", "OPPORTUNITY" ]
objectId
string Required

The ID of the business context object

systemName
string

The name of the external system

personCustomFields
Array of object (CustomField)

Include additional custom data about the person

object

Include additional custom data about the event

name
string Required

The name of the custom field

value
string Required

The value of the custom field

dataType
string

The data type of the custom field: NUMBER, STRING, DATE (ISO 8601), URL, DURATION (in Seconds). Default value: STRING

Valid values[ "STRING", "NUMBER", "DATE", "URL", "BOOLEAN", "DURATION" ]
customFields
Array of object (CustomField)

Include additional custom data about the event

object

Include additional custom data about the event

name
string Required

The name of the custom field

value
string Required

The value of the custom field

dataType
string

The data type of the custom field: NUMBER, STRING, DATE (ISO 8601), URL, DURATION (in Seconds). Default value: STRING

Valid values[ "STRING", "NUMBER", "DATE", "URL", "BOOLEAN", "DURATION" ]
trackingId
string

The ID used for tracking the person who did the event. Must be null if a person is sent instead.

Responses
200

Successful response

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
401

Access denied

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
409

Conflict - Event was already reported in the past.

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
429

API request limit exceeded

Headers
Retry-After
integer
Number of seconds to wait before making a new request.
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string